Subject: bug#49632: [PATCH] Ensure that M-x gdb populates gud-repeat-map

From: Eli Zaretskii <[email-masked]>
Date: Mon, 19 Jul 2021 16:13:52 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Mon, 19 Jul 2021 15:06:31 +0200
> Cc: [email-masked], Juri Linkov <[email-masked]>
> 
> Brian Leung <[email-masked]> writes:
> 
> > * lisp/progmodes/gdb-mi.el (gdb): Populate gud-repeat-map. This is
> > copied from the gud-gdb command.
> 
> Instead of copying the code, perhaps it should be separated out into its
> own function and then called from both places?
> 
> But I don't quite understand why gud-repeat-map is populated in the
> normal way -- i.e., in `gud-repeat-map' so that users can
> redefine/override entries as usual.

I admit I don't understand the rationale for the patch at all.
"M-x gdb" already repeats these commands when you type just RET
into the interaction buffer, so what exactly does this change
do, and how can I see its effect?